View Issue Details

IDProjectCategoryView StatusLast Update
0033383LazarusIDEpublic2018-03-12 10:50
ReporterRik van KekemAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAllOSOS Version
Product VersionProduct Buildtrunk 
Target Version1.8.4Fixed in Version1.9 (SVN) 
Summary0033383: SHIFT click to select a range doesn't work in Object Inspector
DescriptionSelecting multiple components with SHIFT-click (selecting a range) doesn't work anymore from Lazarus 1.8 an higher.

The TTreeView for the Object Inspector has tvoAllowMultiSelect in the options but the MultiSelectStyle only has [msControlSelect] and msShiftSelect is missing from that.

Lazarus 1.6.4 didn't use the msShiftSelect value but 1.8+ does.
The Lazarus IDE needs msShiftSelect in the MultiSelectStyle too.
Steps To ReproduceOpen a new project.
Drop a few TButtons on the form.
Now select the first from the Object Inspector.
Hold the SHIFT and select the last.

Expected behavior (and working in Laz 1.6.4) is that all items are selected.
TagsNo tags attached.
Fixed in Revision57497
LazTarget-
Widgetset
Attached Files
  • componenttreeview.pas.patch (634 bytes)
    Index: components/ideintf/componenttreeview.pas
    ===================================================================
    --- components/ideintf/componenttreeview.pas	(revision 57465)
    +++ components/ideintf/componenttreeview.pas	(working copy)
    @@ -588,6 +588,7 @@
       DragMode := dmAutomatic;
       FComponentList:=TBackupComponentList.Create;
       Options := Options + [tvoAllowMultiselect, tvoAutoItemHeight, tvoKeepCollapsedNodes, tvoReadOnly];
    +  MultiSelectStyle := MultiSelectStyle + [msShiftSelect];
       FImageList := TImageList.Create(nil);
       FImageList.Width := TIDEImages.ScaledSize;
       FImageList.Height := TIDEImages.ScaledSize;
    

Activities

Rik van Kekem

2018-03-08 14:50

reporter  

componenttreeview.pas.patch (634 bytes)
Index: components/ideintf/componenttreeview.pas
===================================================================
--- components/ideintf/componenttreeview.pas	(revision 57465)
+++ components/ideintf/componenttreeview.pas	(working copy)
@@ -588,6 +588,7 @@
   DragMode := dmAutomatic;
   FComponentList:=TBackupComponentList.Create;
   Options := Options + [tvoAllowMultiselect, tvoAutoItemHeight, tvoKeepCollapsedNodes, tvoReadOnly];
+  MultiSelectStyle := MultiSelectStyle + [msShiftSelect];
   FImageList := TImageList.Create(nil);
   FImageList.Width := TIDEImages.ScaledSize;
   FImageList.Height := TIDEImages.ScaledSize;

Rik van Kekem

2018-03-08 14:50

reporter   ~0107001

Last edited: 2018-03-08 14:51

View 2 revisions

Path for latest revision (r57465) added.

Not sure how many other TTreeViews there are in the Lazarus IDE.

Michl

2018-03-11 10:50

developer   ~0107061

Applied. Thank you!

Issue History

Date Modified Username Field Change
2018-03-08 14:37 Rik van Kekem New Issue
2018-03-08 14:50 Rik van Kekem File Added: componenttreeview.pas.patch
2018-03-08 14:50 Rik van Kekem Note Added: 0107001
2018-03-08 14:51 Rik van Kekem Note Edited: 0107001 View Revisions
2018-03-11 10:46 Michl Assigned To => Michl
2018-03-11 10:46 Michl Status new => assigned
2018-03-11 10:50 Michl Fixed in Revision => 57497
2018-03-11 10:50 Michl LazTarget => -
2018-03-11 10:50 Michl Note Added: 0107061
2018-03-11 10:50 Michl Status assigned => resolved
2018-03-11 10:50 Michl Fixed in Version => 1.9 (SVN)
2018-03-11 10:50 Michl Resolution open => fixed
2018-03-11 10:50 Michl Target Version => 1.8.4
2018-03-12 10:50 Rik van Kekem Status resolved => closed